## Awesome Guns

X-COM: UFO Defense was such a perfect game. Twenty years ago, when I was a teen, I played this game so much and I loved it so hard. Even though a lot of people and companies tried to embody ideas of this game in their creations, the original plot of UFO Defense has never been improved. Nowadays, the original gameplay has been reproduced with great possibilities for mod makers in the [OpenXcom project](https://github.com/SupSuper/OpenXcom) and fortunately it can be run on Linux. Despite the fact that OpenXcom is awesome I would like to introduce my collection of changes, that includes improved unit balancing, remastered graphics, amazing gameplay and everything else combined into one modification called Awesome Guns.

https://canadianbeaver.github.io/AwesomeGuns

### Why am I doing it?

Original gameplay of X-COM: UFO Defense has a big problem in the middle and in the end of game. The game can make you feel bored. There are a steam of small UFOs, the monotonous and repetitive missions, the heavy plasma has no alternative...  My suggestion to improve this situation is to make more efficient conventional weapons. Let the soldiers use different pistols, rifles, even grenade launchers and more different types of guns. Also, let the soldiers use different armours with different colours and possibilities. Moreover, let be more explosives in in the battles, more incendiary weapons and more smoke.

I observed [a lot of mods](https://openxcom.mod.io) for OpenXcom and found that there are two types of mods. Main ones are simple and perfect, but they do not combine together nicely. Another mods are like a dump of different mods. They introduce a bunch of everything that does not improve the original gameplay. I would like to fix the original gameplay, make it awesome and perfect and do not surprising the players with [over 9000!](https://en.wikipedia.org/wiki/It's_Over_9000!) unexpected features.

I prefer the Debian, because it is stable, simple and it is a minimum necessary. I would like to make a mod with the same ideas. It should be stable, simple and it should make only necessary changes. If you have the same preferences, I would like to invite you to create it together.

### How do I make it?

* Primary, I am used to working with the [Debian and Mate](https://www.codeproject.com/articles/1086376/building-useful-homestation-from-ugly-debian). I am sure that this mod will also work without problems on other platforms.
* Secondary, I used to work with the [Geany](https://www.geany.org/) and [Sublime Text](https://www.sublimetext.com/). Unfortunately, the Geany is not so good for editing the yaml structures and the Sublime moans for purchase a licence every ten minutes. That is very annoying. Fortunately, Microsoft is a good company, expecially for the Linux developers... the hard truth... and now I'm used to working with [Microsoft Visual Studio Code](https://code.visualstudio.com).
* I am used to working with the [Gimp](https://www.gimp.org/) for correct images. I am not a good painter. Therefore, I take images from [ufopaedia.org](http://ufopaedia.org/index.php/Ruleset_Vanilla_IDs_(OpenXcom)) or from another mods and improve each of them. I spend a lot of time to do a better visualization. I correct prepared images in [GrafX2](http://pulkomandy.tk/projects/GrafX2), because the [GIMP damages palette in *.png* files](http://openxcom.org/forum/index.php?topic=2676.0) and do not set the 0 value for background in indexed *.gif* files.
* And at final, the [LibreOffice](http://www.libreoffice.org/) and [Dia](https://wiki.gnome.org/Apps/Dia/) are used for creating text and diagrams.

### How to install it?

* Download the [OpenXcom game](https://openxcom.org/git-builds/) and install it. Be aware, OpenXcom game requires a vanilla version of the original [UFO: Enemy Unknown](https://en.wikipedia.org/wiki/UFO:_Enemy_Unknown). If you do not own a copy, you can buy it from [one of these retailers](http://ufopaedia.org/index.php/Where_to_Get_the_Games). Please, do not forget applay the [Data Patch](http://openxcom.org/downloads-extras) after instaling. The detailed instruction how to install the OpenXcom and Data Patch [is there](https://www.ufopaedia.org/index.php/Installing_(OpenXcom)).
* Download the [latest release](https://github.com/CanadianBeaver/AwesomeGuns/releases/latest) of the Awesome Guns modification and extract all files and folders into mods folder of OpenXcom game. The detailed instruction how to install modification for the OpenXcom [is there](https://www.ufopaedia.org/index.php/Mods_(OpenXcom)#Installing_Mods_for_the_Nightly_Version). 
* Switch off all installed mods and switch on the Awesome Guns modification.

### Compatibility

Awesome Guns modification is a full mod. Therefore it can be incompatible with other mods. Also, Awesome Guns modification can be incompatible with original OpenXcom saved files, because inventory screen has been redone. To avoid problems with previous saved files your soldiers should be stripped before saving.

### Contacts

I would appreciate hearing your opinion on this. If you have any questions, please feel free to contact me by [public forum](https://openxcom.org/forum/index.php/topic,4823.0.html).

### License

This work is licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](http://creativecommons.org/licenses/by-nc-sa/4.0/).

![Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png)
